ABORT(3) | Library Functions Manual | ABORT(3)

# NAME

`abort` —
cause abnormal program termination

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <stdlib.h>`

void
`abort`(void);

# DESCRIPTION

The `abort`() function causes abnormal program termination to occur, unless the signal `SIGABRT` is being caught and the signal handler does not return.

Calling the `abort`() function results in temporary files being removed. Any open streams are flushed and closed.

# RETURN VALUES

The `abort`() function never returns.

# SEE ALSO

sigaction(2), exit(3)

# STANDARDS

The `abort`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

August 11, 2002 | NetBSD 9.5